# Xenopie

A XenoGC clone based on the Raspberry Pi

## Compiling

To compile, you need GNU Make and a working arm-none-eabi toolchain (GCC and GNU binutils).

## Setting up the Raspberry Pi's SD card

You need an SD card with an up to date image of any Linux flavor available for the Pi already programmed.
Simply rename the kernel.img in there and replace it with the one you just compiled.

## Wiring
You need to connect the Raspberry Pi's GPIO header to the CN302 connector on the GameCube's DVD drive controller board. Schematics can be found in cn302.png.
You also need to hook up power from the mainboard. Pictures in power.png.

## Prebuilt Binaries

This package includes prebuilt binaries from the original XenoGC source package. You can find their source in that package on gc-forever.com.

## Thanks

Thanks to the original XenoGC authors for releasing their source code, emu_kidid and Megalomaniac for helping with their knowledge.

